From zaitcev@redhat.com Thu Sep  1 15:22:54 2005
Date: Thu, 1 Sep 2005 14:35:05 -0700
From: Pete Zaitcev <zaitcev@redhat.com>
To: greg@kroah.com
Subject: USB: Usbmon setup DMA patch
Message-Id: <20050901143505.0cbd8d49.zaitcev@redhat.com>

Alan Stern sent me this patch. It goes on top of the patch the adds
mon_dmapeek:
 http://ftp.kernel.org/pub/linux/kernel/people/gregkh/gregkh-2.6/gregkh-04-usb/usb-usbmon-dma-areas.patch

Please be warned about ordering requirements or the build may fail.

Actually, mon_dmapeek is generic enough to support SETUP packets too.

Signed-off-by: Pete Zaitcev <zaitcev@redhat.com>
Signed-off-by: Alan Stern <stern@rowland.harvard.edu>
Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>

---
 drivers/usb/mon/mon_text.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

--- gregkh-2.6.orig/drivers/usb/mon/mon_text.c	2005-09-12 10:47:36.000000000 -0700
+++ gregkh-2.6/drivers/usb/mon/mon_text.c	2005-09-12 11:02:40.000000000 -0700
@@ -79,7 +79,7 @@ static inline char mon_text_get_setup(st
 		return '-';
 
 	if (urb->transfer_flags & URB_NO_SETUP_DMA_MAP)
-		return 'D';
+		return mon_dmapeek(ep->setup, urb->setup_dma, SETUP_MAX);
 	if (urb->setup_packet == NULL)
 		return 'Z';	/* '0' would be not as pretty. */
 
